For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordDashboard
DocumentationAPI ReferenceCookbook
DocumentationAPI ReferenceCookbook
  • API Reference
    • POSTStart instance
    • GETGet instance by ID
    • GETList all instances
    • GETList all browser authentication states
  • SDK Reference
    • Python SDK
    • TypeScript SDK
Logo
DiscordDashboard
API Reference

Start instance

POST
https://api.scrapybara.com/v1/start
POST
/v1/start
1import requests
2
3url = "https://api.scrapybara.com/v1/start"
4
5payload = {}
6headers = {
7 "x-api-key": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "id": "id",
3 "launch_time": "2024-01-15T09:30:00Z",
4 "instance_type": "ubuntu",
5 "status": "deploying",
6 "resolution": [
7 1
8 ]
9}
Was this page helpful?

Get instance by ID

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Request

This endpoint expects an object.
instance_typeenumOptional
Allowed values:
timeout_hoursdoubleOptional0.01-24
blocked_domainslist of stringsOptional
resolutionlist of integersOptional

Response

Successful Response
idstring
launch_timedatetime
instance_typeenum
Allowed values:
statusenum
resolutionlist of integers

Errors

422
Start Request Unprocessable Entity Error